import { Worker, MessagePort } from 'node:worker_threads';
import { DbServer } from './index.js';
export declare class DbWorker {
    constructor(address: BigInt, db: DbServer, workerIndex: number);
    db: DbServer;
    channel: MessagePort;
    worker: Worker;
    resolvers: any[];
    readyPromise: Promise<true>;
    callback: (resolve: any) => void;
    updateCtx(address: BigInt): Promise<void>;
    getQueryBuf(buf: Uint8Array): Promise<Uint8Array>;
}
